.xds-scroll-to-top {
  position: fixed;
  bottom: 2rem;
  right: 2rem;
  width: 42px;
  height: 42px;
  border-radius: var(--border-radius-10);
  background: var(--my-white-bg-subtle, #ffffff49);
  box-shadow: var(--xds-shadow-mini);
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  opacity: 0;
  visibility: hidden;
  transform: translateY(20px);
  transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
  z-index: 1029; /* Au-dessus du contenu, sous les modales */
}

.xds-scroll-to-top.is-visible {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.xds-scroll-to-top:hover {
  transform: translateY(-5px);
  box-shadow: var(--xds-shadow);
}

@media (max-width: 767px) {
	.xds-scroll-to-top {
		bottom: 6.3rem;
		right: 1rem;
		width: 38px;
		height: 38px;
	}
}
